canaries

Python library for choosing and loading dynamic library files compatible with the operating environment.


Keywords
ctypes-wrapper, python-library
License
MIT
Install
pip install canaries==0.1.2

Documentation

canaries

Python library for choosing and loading dynamic library files compatible with the operating environment.

PyPI version and link. travis coveralls

Purpose

This tool can be used to automatically choose and load a dynamic library file that is compatible with the current operating environment.

Package Installation and Usage

The package is available on PyPI:

python -m pip install canaries

The library can be imported in the usual way:

import canaries
from canaries import canaries

Testing and Conventions

All unit tests are executed and their coverage is measured when using nose (see setup.cfg for configution details):

nosetests

Style conventions are enforced using Pylint:

pylint canaries

Contributions

In order to contribute to the source code, open an issue or submit a pull request on the GitHub page for this library.

Versioning

The version number format for this library and the changes to the library associated with version number increments conform with Semantic Versioning 2.0.0.